Name:		rstp
Summary:	Rapid Spanning Tree User Space Daemon
Version:	04012009git
Release:	4%{dist}
# Note the lack of a URL tag here.  rstp has no official upstream project page,
# just a git repository, so we don't include the URL here. rpmlint will yell
# about this, rpmlint is wrong,

License:	GPLv2+ and LGPLv2+
Group:		System Environment/Base
# Generate this tarball with the following commands in the git tree:
# git clone git://git.kernel.org/pub/scm/linux/kernel/git/shemminger/rstp.git
# cd rstp
# git checkout 76eb7423e188f6852ba9ced4352e0d61f4dace4d
# cd ..
# tar jcf git-04012009git.tar.bz2 rstp 
Source0:	%{name}-%{version}.tar.bz2

# http://patchwork.ozlabs.org/patch/46803/
# Submitted upstream, no reply yet
Patch0:	rstp-type-punning.patch

%description
rstp is a user space implementation of the rapid spanning tree protocol.  It
replaces the in-kernel STP implementation

%prep
%setup -q -n rstp

%patch0 -p1

%build
make %{?_smp_mflags}

%install
make INSTALLPREFIX=$RPM_BUILD_ROOT install
install -m 755 bridge $RPM_BUILD_ROOT/sbin
install -m 755 bridge-stp $RPM_BUILD_ROOT/sbin

%files
%defattr(-,root,root,-)
/sbin/*
%{_mandir}/man8/*
%doc CHANGES_TO_RSTPLIB TODO LICENSE rstplib/COPYING


%changelog
* Wed Apr 07 2010 Neil Horman <nhorman@redhat.com> - 04012009git-4
- Add more comments
- add LICENSE file and COPYING file

* Wed Apr 07 2010 Neil Horman <nhorman@redhat.com> - 04012009git-3
- Removed clean script
- Added comments regarding patch and tarball

* Wed Apr 07 2010 Neil Horman <nhorman@redhat.com> - 04012009git-2
- Fix review comments in bz 570166
- remove buildroot tag
- remove URL tag
- add requested docs

* Mon Mar 03 2010 Neil Horman <nhorman@redhat.com> - 04012009git-1
- Initial Build

